com.google.cloud.dataflow.examples.complete.game

## Interface UserScore.Options

All Superinterfaces:
  HasDisplayData, PipelineOptions

Enclosing class:
  UserScore

    public static interface UserScore.Options
    extends PipelineOptions

Options supported by `UserScore`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`PipelineOptions.CheckEnabled`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDataset()`
`String` `getInput()`
`String` `getTableName()`
`void` `setDataset(String value)`
`void` `setInput(String value)`
`void` `setTableName(String value)`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`as, cloneAs, getRunner, getStableUniqueNames, getTempLocation, setRunner, setStableUniqueNames, setTempLocation`

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.display.HasDisplayData

`populateDisplayData`

### Method Detail

#### getInput

    @Default.String(value="gs://dataflow-samples/game/gaming_data*.csv")
    String getInput()

#### setInput

    void setInput(String value)

#### getDataset

    @Validation.Required
    String getDataset()

#### setDataset

    void setDataset(String value)

#### getTableName

    @Default.String(value="user_score")
    String getTableName()

#### setTableName

    void setTableName(String value)